Переполнение буфера при обработке изображений в xcftools

Дата публикации:
23.06.2009
Дата изменения:
02.07.2009
Всего просмотров:
1169
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
xcftools 1.x

Уязвимые версии: xcftools 1.0.4

Описание:
Обнаруженная уязвимость позволяет злонамеренному пользователю потенциально скомпрометировать целевую систему.

Переполнение буфера обнаружено в функции "flattenIncrementally()" в flatten.c. В результате можно выполнить произвольный код при запуске xcf2pnm утилиты с параметрами "-C" или "-O" со специально обработанным изображением.

URL производителя: henning.makholm.net/xcftools/

Решение: Способов устранения уязвимости не существует в настоящее время.

Журнал изменений:

02.07.2009
Незначительные изменения.

Ссылки: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=533361

или введите имя

CAPTCHA